# docker images


List images

### Aliases

`docker image ls`, `docker image list`, `docker images`

### Options

| Name             | Type     | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                          |
|:-----------------|:---------|:--------|:-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `-a`, `--all`    | `bool`   |         | Show all images (default hides intermediate images)                                                                                                                                                                                                                                                                                                                                                                                  |
| `--digests`      | `bool`   |         | Show digests                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `-f`, `--filter` | `filter` |         | Filter output based on conditions provided                                                                                                                                                                                                                                                                                                                                                                                           |
| `--format`       | `string` |         | Format output using a custom template:
'table':            Print output in table format with column headers (default)
'table TEMPLATE':   Print output in table format using the given Go template
'json':             Print in JSON format
'TEMPLATE':         Print output using the given Go template.
Refer to https://docs.docker.com/go/formatting/ for more information about formatting output with templates |
| `--no-trunc`     | `bool`   |         | Don't truncate output                                                                                                                                                                                                                                                                                                                                                                                                                |
| `-q`, `--quiet`  | `bool`   |         | Only show image IDs                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `--tree`         | `bool`   |         | List multi-platform images as a tree (EXPERIMENTAL)                                                                                                                                                                                                                                                                                                                                                                                  |




